<!--
  ~ Copyright (c) 2020. Joey Mizrahi
  -->

<!DOCTYPE html>
<!--suppress JSUnresolvedLibraryURL -->
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="utf-8">
    <title>JAVA - WEB Final Targil :( </title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
    <link rel='icon' th:href="@{/Images/githubkitty.png}" href='../static/Images/githubkitty.png' type='image/x-icon'>
    <link rel="stylesheet" type="text/css" media="all"  href="../static/css/login.css" th:href="@{/css/login.css}" />
    <script src="../static/js/history.js" type="text/javascript" defer th:src="@{/js/history.js}"></script>
</head>

<body style="background-color:#D6D7D4 ;zoom: 120%">
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <div  class="navbar-nav">
        <ul class="navbar-nav ">
            <img src="../static/Images/githubkitty.png" th:src="@{/Images/githubkitty.png}" alt = "IMG" height="30" width="30" style="margin-top:2% ">
            <li class="nav-item ">
                <a class="nav-link" href="/">Search </a>
            </li>
            <li class="nav-item active">
                <a class="nav-link" href="/history">History<span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">Logout</a>
            </li>
        </ul>
    </div>
</nav>


<div style="margin-top:2%" class="container text-center">
    <div class="row">
        <div class="col">
            <h1>Search History</h1>
            <br/>
        </div>
    </div>
    <div class="row ">
        <div class="col-3"></div>
        <div class="col-6 align-self-center">
            <div style="text-align: left" class="w-100 shadow p-3 mb-5 rounded bg-light">
                <div class="text-center" style="text-align: center" th:object="${githubUsers}" th:if=" ${githubUsers !=null && githubUsers.isEmpty() }"> No Search History</div>
                <ul >
                    <li th:each="user : ${githubUsers}">
                        <a th:href="${user.getHtml_url()}">
                            <span th:text="${user.getLogin()}"></span>
                        </a>
                        :
                        <span th:text="${user.getSearched()}"></span>
                    </li>
                </ul>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col">
            <div class="mx-md-n5" th:if=" ${!githubUsers.isEmpty()}">
                <button class="btn btn-success" th:id="submitbutton" >Purge</button>
            </div>
        </div>
    </div>
</div>


</body>
</html>